/**
 * Simplified version of drag() from
 * "JavaScript: The Definitive Guide"  by David Flanagan
 */
function drag(element, event) {
    var startX = event.clientX + window.pageXOffset;
    var startY = event.clientY + window.pageYOffset;

    var origX = element.offsetLeft;
    var origY = element.offsetTop;

    var deltaX = startX - origX;
    var deltaY = startY - origY;

    document.addEventListener("mousemove", moveHandler, true);
    document.addEventListener("mouseup", upHandler, true);

    event.stopPropagation();
    event.preventDefault();

    function moveHandler(e) {
        element.style.left = (e.clientX + window.pageXOffset - deltaX) + "px";
        element.style.top = (e.clientY + window.pageYOffset - deltaY) + "px";
        e.stopPropagation();
    }

    function upHandler(e) {
        document.removeEventListener("mousemove", moveHandler, true);
        document.removeEventListener("mouseup", upHandler, true);
        e.stopPropagation();
    }
}
<style>
#changer{width: 300px; min-height: 70px; padding:.5em; margin-top:0; position: absolute; top: 0; left: 50%; transform: translate(-50%, 0); background: purple;z-index: 10000; color: white; text-align: center;}
</style>
<div id="changer"><?php echo themeswitcher();?></div>
